commit 60ab5657d006f36032fe5a348349f9c38330ed91
Author: Tim Cuthbertson <tim@gfxmonk.net>
Date:   Wed Jan 31 12:45:06 2024 +1100

    install.sh: clear umask when making a symlink, so permissions on MacOS match Linux

diff --git a/tools/install.sh b/tools/install.sh
index d913b60b..855a8ca2 100755
--- a/tools/install.sh
+++ b/tools/install.sh
@@ -48,7 +48,9 @@ trap 'rm -f "$tmp"' EXIT INT QUIT TERM HUP
 umask 077
 
 if test "$symlink" ; then
+umask 000
 ln -s "$1" "$tmp"
+umask 077
 else
 cat < "$1" > "$tmp"
 chmod "$mode" "$tmp"
